#ifndef CHALET_H
#define CHALET_H

struct Chalet : public GameObject {
	Chalet() : GameObject("Chalet") {}

	static vec3 input_transform(float x, float y, float z){
		return vec3(x*2, z*2, y*2);
	}

	bool init() override {
		init_from_object("chalet.obj", input_transform);
		setup_standard_shaders();
		setup_texture("chalet.jpg");
		setup_locations();
		return true;
	}
	void draw(mat4 vp){
		draw_object(vp);
	}
};

#endif
